Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZFSFileHandler Member List

This is the complete list of members for eZFSFileHandler, including all inherited members.

$filePath | eZFSFileHandler |
$lifetime | eZFSFileHandler |
$metaData | eZFSFileHandler |
$Mutex | eZFSFileHandler |
__construct( $filePath=false) | eZFSFileHandler |
_exclusiveLock( $fname=false) | eZFSFileHandler | private
_freeExclusiveLock( $fname=false) | eZFSFileHandler | private
_mutex() | eZFSFileHandler | private
abortCacheGeneration() | eZFSFileHandler |
applyServerUri( $filePath) | eZFSFileHandler |
checkCacheGenerationTimeout() | eZFSFileHandler |
dataType() | eZFSFileHandler |
delete() | eZFSFileHandler | static
deleteLocal() | eZFSFileHandler |
endCacheGeneration( $rename=true) | eZFSFileHandler |
exists() | eZFSFileHandler |
EXPIRY_TIMESTAMP | eZFSFileHandler |
fetch( $noLocalCache=false) | eZFSFileHandler |
fetchContents() | eZFSFileHandler |
fetchUnique() | eZFSFileHandler |
fileCopy( $srcPath, $dstPath) | eZFSFileHandler | static
fileDelete( $path, $fnamePart=false) | eZFSFileHandler | static
fileDeleteByDirList( $dirList, $commonPath, $commonSuffix) | eZFSFileHandler | static
fileDeleteByWildcard( $wildcard) | eZFSFileHandler | static
fileDeleteLocal( $path) | eZFSFileHandler |
fileExists( $path) | eZFSFileHandler | static
fileFetch( $filePath) | eZFSFileHandler |
fileFetchContents( $filePath) | eZFSFileHandler |
fileLinkCopy( $srcPath, $dstPath, $symLink) | eZFSFileHandler | static
fileMove( $srcPath, $dstPath) | eZFSFileHandler | static
fileStore( $filePath, $scope=false, $delete=false, $datatype=false) | eZFSFileHandler |
fileStoreContents( $filePath, $contents, $scope=false, $datatype=false) | eZFSFileHandler | static
getFileList($scopes=false, $excludeScopes=false) | eZFSFileHandler |
hasStaleCacheSupport() | eZFSFileHandler |
isDBFileExpired($expiry, $curtime, $ttl) | eZFSFileHandler |
isExpired( $expiry, $curtime, $ttl) | eZFSFileHandler |
isFileExpired( $fname, $mtime, $expiry, $curtime, $ttl) | eZFSFileHandler | static
isLocalFileExpired($expiry, $curtime, $ttl) | eZFSFileHandler |
loadMetaData( $force=false) | eZFSFileHandler |
move( $dstPath) | eZFSFileHandler |
mtime() | eZFSFileHandler |
name() | eZFSFileHandler |
passthrough( $offset=0, $length=false) | eZFSFileHandler |
eZClusterFileHandlerInterface::passthrough() | eZClusterFileHandlerInterface |
processCache( $retrieveCallback, $generateCallback=null, $ttl=null, $expiry=null, $extraData=null) | eZFSFileHandler |
processFile( $callback, $expiry=false, $extraData=null) | eZFSFileHandler |
purge( $printCallback=false, $microsleep=false, $max=false, $expiry=false) | eZFSFileHandler |
requiresClusterizing() | eZFSFileHandler |
requiresPurge() | eZFSFileHandler |
size() | eZFSFileHandler |
startCacheGeneration() | eZFSFileHandler |
stat() | eZFSFileHandler |
storeCache( $fileData, $storeCache=true) | eZFSFileHandler | private
eZClusterFileHandlerInterface::storeCache( $fileData) | eZClusterFileHandlerInterface |
storeContents( $contents, $scope=false, $datatype=false, $storeLocally=false) | eZFSFileHandler |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.